local addonName, addonData = ...

local function GameTooltip_OnTooltipSetItem(tooltip)
	local itemName, itemLink = tooltip:GetItem()
	if not itemName or not itemLink then return; end
	
	local _, _, _, _, _, itemType = GetItemInfo(itemLink)

	local _, itemId, enchantId, jewelId1, jewelId2, jewelId3, jewelId4, suffixId, uniqueId,
		  linkLevel, specializationID, reforgeId, unknown1, unknown2 = strsplit(":", itemLink)
          
	if itemType ~= "Armor" and itemType ~= "Weapon" and itemType ~= "Rüstung" and itemType ~= "Waffe" and itemType ~= "Quest" and itemType ~= "Miscellaneous" and itemType ~= "Verschiedenes" then
		return
	end

	itemId = tonumber(itemId)

    if addonData.lootDb[itemId] then
        local itemInfo = addonData.lootDb[itemId]
        
        tooltip:AddLine(" ")
        tooltip:AddLine("|cFF00FF00Monochrome R1 Loot Info|r")
        tooltip:AddLine("|cFF34A853Prio 1|r: " .. addonData.colorizeTextByRole(itemInfo.prio1))
        if itemInfo.prio2 ~= "" then
            tooltip:AddLine("|cFFFBBC04Prio 2|r: " .. addonData.colorizeTextByRole(itemInfo.prio2))
        end
        if itemInfo.prio3 ~= "" then
            tooltip:AddLine("|cFFEA9999Prio 3|r: " .. addonData.colorizeTextByRole(itemInfo.prio3))
        end
    end
end

GameTooltip:HookScript("OnTooltipSetItem", GameTooltip_OnTooltipSetItem)

ItemRefTooltip:HookScript("OnTooltipSetItem", GameTooltip_OnTooltipSetItem)