local addonName, addonData = ...

--local function updateDebuffsTargetsNote()
--    local debuffs = addonData.getExRTNote("Debuffs")
--    local targets = addonData.getExRTNote ("Targets")
--    addonData.setExRTNote("Debuffs/Targets", targets .. "\n\n" .. debuffs)
--end

local function showTargets(debugTarget)
    addonData.flushChatBuffer()
    addonData.showTargets(debugTarget)
    addonData.setExRTNote("Targets", addonData.flushChatBuffer())
    --updateDebuffsTargetsNote()
end

local function showDebuffs()
    addonData.flushChatBuffer()
    addonData.showDebuffs()
    addonData.flushChatBuffer()
    --addonData.setExRTNote("Debuffs", addonData.flushChatBuffer())
    --updateDebuffsTargetsNote()
end

local function updateExorsus(debugTarget)
    addonData.enableChat = false
    showTargets(debugTarget)
    --showDebuffs()
    --addonData.setExRTNoteActive("Debuffs/Targets")
    addonData.setExRTNoteActive("Targets")
    addonData.enableChat = true
end

local quintessenceItemId = 17333
local eternalQuintessenceItemId = 22754
local hourglassItemId = 19183
local onycloakItemId = 15138

addonData.addSimilarItemId(quintessenceItemId, eternalQuintessenceItemId)

local function checkItem(command)
    if command == "water" then
        addonData.showItemList(quintessenceItemId)
    elseif command == "sand" then
        addonData.showItemList(hourglassItemId)
	elseif command == "ony" then
        addonData.showItemList(onycloakItemId, "equipped")
    else
        local itemId = tonumber(command)
        if itemId then
            addonData.showItemList(itemId)
        else
            print("Invalide itemId " .. command)
        end
    end
end

local function setMaintank(name1, name2, name3)
    addonData.setMaintank(name1, name2, name3)
end

local function printHelp()
    print([[Commands for the Monochrome addon:
    /mono players -> Shows the players with the addon enabled in your party/raid group
    /mono targets -> Shows targets for the currently selected boss in chat/exorsus. Shows trash targets if nothing selected
    /mono debuffs -> Shows debuffs in chat/exorsus.
    /mono exrt -> Updates exorsus targets and debuffs without sending to chat
    /mono check water -> Shows the players wich have an (Eternal) Aqual Quintessence
    /mono check sand -> Shows how much Hourglass Sand players have
    /mono check ony -> Shows the players which have the Onyxiascale Cloak equipped
    /mono check <itemId> -> Shows how many items of this id players have in their inventory
    /mono mt <name> -> Switches tank <name> with the current first tank
    ]])
end

local function monochrome(command)
    if command == "" then
        printHelp()
    elseif command == "players" then
        addonData.showPlayerInstallBase()
    elseif addonData.startsWith(command, "targets") then
        showTargets(string.sub(command, 9))
    elseif command == "debuffs" then
        showDebuffs()
    elseif addonData.startsWith(command, "exrt") then
        updateExorsus(string.sub(command, 6))
    elseif addonData.startsWith(command, "check") then
        checkItem(string.sub(command, 7))
    elseif command == "help" then
        printHelp()
    elseif addonData.startsWith(command, "mt") then
        local split = addonData.stringSplit(string.sub(command, 4), ",")
        local name1 = addonData.trimWhitespace(split[1])
        local name2 = addonData.trimWhitespace(split[2])
        local name3 = addonData.trimWhitespace(split[3])
        setMaintank(name1, name2, name3)
    else
        print("The command " .. command .. " was not recognized.")
        printHelp()
    end
end

SLASH_MONOCHROME1 = "/monochrome"
SlashCmdList["MONOCHROME"] = monochrome

SLASH_MONO1 = "/mono"
SlashCmdList["MONO"] = monochrome